सामग्री पर जाएँ

Veo3.1 Reference to Video

इंटीग्रेट करें

मॉडल id veo3.1/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $3.20 3,200 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Google रेफ़रेंस से वीडियो नेटिव ऑडियो4K आउटपुटरेफ़रेंस इनपुट4k तक

कई संदर्भ इमेज का उपयोग करके विषय को एकसमान बनाए रखने वाला Veo 3.1 वीडियो, वैकल्पिक ऑडियो के साथ

Google · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 20000

निर्माण किए जाने वाले वांछित वीडियो का टेक्स्ट वर्णन।

•आवश्यक image_urls
फ़ाइल ड्रॉप करें, या

विषय के रूप को एकसमान बनाए रखने के लिए उपयोग किए जाने वाले संदर्भ इमेज URL।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का आस्पेक्ट रेशियो।

resolution डिफ़ॉल्ट 720p

आउटपुट वीडियो के लिए उपयोग किया गया रिज़ॉल्यूशन।

डिफ़ॉल्ट 8s

आउटपुट वीडियो की लंबाई।

उन्नत safety_tolerance · auto_fix
safety_tolerance डिफ़ॉल्ट 4

कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।

POST /run/veo3.1/reference-to-video?wait=20 कोटेशन → $3.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Veo3.1 Reference to Video के बारे में

`prompt` और `image_urls` में संदर्भ इमेज की सूची से वीडियो बनाता है, ताकि विषय का रूप एकसमान रहे। आस्पेक्ट रेशियो 16:9 या 9:16 और रिज़ॉल्यूशन 720p, 1080p या 4k है। अवधि डिफ़ॉल्ट रूप से 8s है, और ऑडियो निर्माण डिफ़ॉल्ट रूप से सक्षम है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 20,000 अक्षर
निर्माण किए जाने वाले वांछित वीडियो का टेक्स्ट वर्णन।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:16
आउटपुट वीडियो का आस्पेक्ट रेशियो।
durationवैकल्पिक
प्रकारstring
डिफ़ॉल्ट8s
आउटपुट वीडियो की लंबाई।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
720p1080p4k
आउटपुट वीडियो के लिए उपयोग किया गया रिज़ॉल्यूशन।
generate_audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि वीडियो में निर्मित ऑडियो शामिल हो या नहीं।
auto_fixवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
कंटेंट-पॉलिसी जाँच या अन्य सत्यापन में विफलताओं को हल करने का प्रयास करने के लिए प्रॉम्प्ट का स्वचालित पुनर्लेखन।
safety_toleranceवैकल्पिक
प्रकारenum
डिफ़ॉल्ट4
123456
कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।
image_urlsआवश्यक images
प्रकारurl[] · image
विषय के रूप को एकसमान बनाए रखने के लिए उपयोग किए जाने वाले संदर्भ इमेज URL।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3200,
    "usd": "3.20",
    "charged": 3200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया वीडियो।

और मॉडल: रेफ़रेंस से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/veo3.1/reference-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt